Sfoglia il codice sorgente

Exit properly if importing ffoo.sh fails

Alois Mahdal 11 anni fa
parent
commit
8e11223246
1 ha cambiato i file con 1 aggiunte e 1 eliminazioni
  1. 1
    1
      src/bin/saturnin.skel

+ 1
- 1
src/bin/saturnin.skel Vedi File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. $(ffoom path)
3
+. $(ffoom path) || exit 3
4
 
4
 
5
 mkconfpath() {
5
 mkconfpath() {
6
     local userd="__SATURNIN_CONFIG_USER__/ini.d"
6
     local userd="__SATURNIN_CONFIG_USER__/ini.d"